/*
    KSysGuard, the KDE System Guard

    Copyright (c) 2004 Stefan Teleman <steleman@acm.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of version 2 of the GNU General Public
    License as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef KSG_CPUSTAT_H
#define KSG_CPUSTAT_H

void initCpuStatInfo (struct SensorModul* sm);
void exitCpuStatInfo (void);

int updateCpuStatInfo (void);

void printCPUStatAnonFree (const char* cmd);
void printCPUStatAnonFreeInfo (const char* cmd);
void printCPUStatAnonPGIn (const char* cmd);
void printCPUStatAnonPGInInfo (const char* cmd);
void printCPUStatAnonPGOut (const char* cmd);
void printCPUStatAnonPGOutInfo (const char* cmd);
void printCPUStatCpuIdle (const char* cmd);
void printCPUStatCpuIdleInfo (const char* cmd);
void printCPUStatCpuKernel (const char* cmd);
void printCPUStatCpuKernelInfo (const char* cmd);
void printCPUStatCpuUser (const char* cmd);
void printCPUStatCpuUserInfo (const char* cmd);
void printCPUStatPSwitch (const char* cmd);
void printCPUStatPSwitchInfo (const char* cmd);
void printCPUStatCpuWait (const char* cmd);
void printCPUStatCpuWaitInfo (const char* cmd);
void printCPUStatExecFree (const char* cmd);
void printCPUStatExecFreeInfo (const char* cmd);
void printCPUStatExecPGIn (const char* cmd);
void printCPUStatExecPGInInfo (const char* cmd);
void printCPUStatExecPGOut (const char* cmd);
void printCPUStatExecPGOutInfo (const char* cmd);
void printCPUStatFsPGIn (const char* cmd);
void printCPUStatFsPGInInfo (const char* cmd);
void printCPUStatFsPGOut (const char* cmd);
void printCPUStatFsPGOutInfo (const char* cmd);
void printCPUStatFsFree (const char* cmd);
void printCPUStatFsFreeInfo (const char* cmd);
void printCPUStatIntr (const char* cmd);
void printCPUStatIntrInfo (const char* cmd);
void printCPUStatNThreads (const char* cmd);
void printCPUStatNThreadsInfo (const char* cmd);
void printCPUStatPGIn (const char* cmd);
void printCPUStatPGInInfo (const char* cmd);
void printCPUStatPGOut (const char* cmd);
void printCPUStatPGOutInfo (const char* cmd);
void printCPUStatSwapIn (const char* cmd);
void printCPUStatSwapInInfo (const char* cmd);
void printCPUStatSwapOut (const char* cmd);
void printCPUStatSwapOutInfo (const char* cmd);
void printCPUStatSysCall (const char* cmd);
void printCPUStatSysCallInfo (const char* cmd);
void printCPUStatSysExec (const char* cmd);
void printCPUStatSysExecInfo (const char* cmd);
void printCPUStatSysFork (const char* cmd);
void printCPUStatSysForkInfo (const char* cmd);
void printCPUStatSysRead (const char* cmd);
void printCPUStatSysReadInfo (const char* cmd);
void printCPUStatSysVFork (const char* cmd);
void printCPUStatSysVForkInfo (const char* cmd);
void printCPUStatSysWrite (const char* cmd);
void printCPUStatSysWriteInfo (const char* cmd);
void printCPUStatTrap (const char* cmd);
void printCPUStatTrapInfo (const char* cmd);
void printCPUStatWaitIO (const char* cmd);
void printCPUStatWaitIOInfo (const char* cmd);
void printCPUStatWaitPIO (const char* cmd);
void printCPUStatWaitPIOInfo (const char* cmd);
void printCPUStatWaitSwap (const char* cmd);
void printCPUStatWaitSwapInfo (const char* cmd);

#endif

